using System;

namespace ASPNET.StarterKit.TimeTracker.BusinessLogicLayer
{
	//*********************************************************************
	//
	// Category Class
	//
	// The Category Class represents a single category for a project.
	//
	//*********************************************************************

	public class Category
	{
		private string	_abbreviation;
		private int		_categoryID;
		private decimal _estDuration;
		private string	_name;
		private int		_projectID;

		public string Abbreviation
		{
			get{ return _abbreviation; }
			set{ _abbreviation = value; }
		}

		public int CategoryID
		{
			get{ return _categoryID; }
			set{ _categoryID = value; }
		}

		public decimal EstDuration
		{
			get{ return _estDuration; }
			set{ _estDuration = value; }
		}

		public string Name
		{
			get{ return _name; }
			set{ _name = value; }
		}

		public int ProjectID
		{
			get{ return _projectID; }
			set{ _projectID = value; }
		}
	}
}
